> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/utils/togglesub.md).

# ToggleSub

### Description

ToggleSub - Sets the state of the sub to active or deactivated

> **Notes**
>
> User can only disable/enable his own subscriptions. This gives permission to dsproxy or safe to our auth contract to be able to execute the strategy

### Action ID

`0xd6499530`

### SDK Action

```ts
const toggleSubAction = new dfs.actions.basic.ToggleSubAction(
    subId,
    active
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param subId ID of the subscription to toggle
    /// @param active Whether to activate or deactivate the subscription
    struct Params {
        uint256 subId;
        bool active;
    }
```

### Return Value

```solidity
return (bytes32(inputData.subId));
```

### Events and Logs

```solidity
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/utils/togglesub.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
